# Uses of Interface
org.w3c.dom.xpath.XPathNSResolver

Packages that use XPathNSResolver
Package
Description
org.w3c.dom.xpath
Provides interfaces for DOM Level 3 XPath Specification.

- ## Uses of XPathNSResolver in org.w3c.dom.xpath

  Methods in org.w3c.dom.xpath that return XPathNSResolver
  Modifier and Type
  Method
  Description
  `XPathNSResolver`
  XPathEvaluator.`createNSResolver(Node nodeResolver)`
  Adapts any DOM node to resolve namespaces so that an XPath expression can be easily evaluated relative to the context of the node where it appeared within the document.
  Methods in org.w3c.dom.xpath with parameters of type XPathNSResolver
  Modifier and Type
  Method
  Description
  `XPathExpression`
  XPathEvaluator.`createExpression(String expression, XPathNSResolver resolver)`
  Creates a parsed XPath expression with resolved namespaces.
  `Object`
  XPathEvaluator.`evaluate(String expression, Node contextNode, XPathNSResolver resolver, short type, Object result)`
  Evaluates an XPath expression string and returns a result of the specified type if possible.